package de.scandio.tree.web;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import de.scandio.tree.JsonNode;

@RequestMapping("/json")
@Controller
public class JsonNodeController {
	
	@RequestMapping(value = "/root", method = RequestMethod.GET, headers = "Accept=application/json")
    @ResponseBody
	public String getRoot() {
		return JsonNode.toJsonArray(JsonNode.findJsonNodeRoot());
	}
	
	@RequestMapping(value = "/{id}", method = RequestMethod.GET, headers = "Accept=application/json")
    @ResponseBody
    public String get(@PathVariable("id") Long id) {
        return JsonNode.findJsonNode(id).toJson();
    }
}
